package com.ruoyi.system.service.projectV2;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.projectV2.ZsyzDbd;

import java.util.List;

/**
 * 招商引资_督办单Service接口
 * 
 * @author boman
 * @date 2023-02-25
 */
public interface IZsyzDbdService 
{
    /**
     * 查询招商引资_督办单
     * 
     * @param id 招商引资_督办单主键
     * @return 招商引资_督办单
     */
    public ZsyzDbd selectZsyzDbdById(Long id);

    /**
     * 查询招商引资_督办单列表
     * 
     * @param zsyzDbd 招商引资_督办单
     * @return 招商引资_督办单集合
     */
    public List<ZsyzDbd> selectZsyzDbdList(ZsyzDbd zsyzDbd);

    /**
     * 新增招商引资_督办单
     * 
     * @param zsyzDbd 招商引资_督办单
     * @return 结果
     */
    public int insertZsyzDbd(ZsyzDbd zsyzDbd);

    /**
     * 修改招商引资_督办单
     * 
     * @param zsyzDbd 招商引资_督办单
     * @return 结果
     */
    public int updateZsyzDbd(ZsyzDbd zsyzDbd);

    /**
     * 批量删除招商引资_督办单
     * 
     * @param ids 需要删除的招商引资_督办单主键集合
     * @return 结果
     */
    public int deleteZsyzDbdByIds(Long[] ids);

    /**
     * 删除招商引资_督办单信息
     * 
     * @param id 招商引资_督办单主键
     * @return 结果
     */
    public int deleteZsyzDbdById(Long id);

    AjaxResult number(ZsyzDbd zsyzDbd);
}
